Subject: Re: Urgent help needed Regarding installation of openssl-0.9.6b on Redhat linux 7.1

From: Nisarg Rav <[email-masked]>
Date: Fri, 19 Apr 2002 22:12:56 -0700 (PDT)

Hello friends ,, 
Right now i'm facing one problem while installing openssl. Here is what i did. 

I've redhat linux 7.1 installed and openssl-0.9.6 was already installed on it. I was not willing to use that installedm, but i want to install trom tar.gz in /usr/local, so i did 

1. rpm -e openssl 
At this time it gave me no of dependencies problem due to which it was unable to uninstall it. 

2. then i executed 
rpm -e openssl --nodeps 
This time it removed openssl only, But then after when i'm trying to install by untaring openssl-0.9.6b.tar.gz it is giving following error .. 

I had also updated gcc, cpp and gcc-cpp complier ..
________________________ 
Operating system: i686-whatever-linux2 
Configuring for linux-elf 
Configuring for linux-elf 
IsWindows=0 
CC =gcc 
CFLAG =-fPIC -DTHREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM 
EX_LIBS =-ldl 
BN_ASM =asm/bn86-elf.o asm/co86-elf.o 
DES_ENC =asm/dx86-elf.o asm/yx86-elf.o 
BF_ENC =asm/bx86-elf.o 
CAST_ENC =asm/cx86-elf.o 
RC4_ENC =asm/rx86-elf.o 
RC5_ENC =asm/r586-elf.o 
MD5_OBJ_ASM =asm/mx86-elf.o 
SHA1_OBJ_ASM =asm/sx86-elf.o 
RMD160_OBJ_ASM=asm/rm86-elf.o 
PROCESSOR = 
RANLIB =/usr/bin/ranlib 
PERL =/usr/bin/perl 
THIRTY_TWO_BIT mode 
DES_PTR used 
DES_RISC1 used 
DES_UNROLL used 
BN_LLONG mode 
RC4_INDEX mode 
RC4_CHUNK is undefined 
Makefile => Makefile.ssl 
e_os.h => include/openssl/e_os.h [File exists] 
e_os2.h => include/openssl/e_os2.h [File exists] 
making links in crypto... 
make[1]: Entering directory `/usr/local/openssl-0.9.6b/crypto' 
Makefile => Makefile.ssl 
crypto.h => ../include/openssl/crypto.h [File exists] 
tmdiff.h => ../include/openssl/tmdiff.h [File exists] 
opensslv.h => ../include/openssl/opensslv.h [File exists] 
..... 

and while doing make it is giving following error.. 

gcc -I.. -I../../include -fPIC -DTHREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall -DSHA1_ASM -DMD5_ASM -DRMD160_ASM -c -o dsa_ossl.o dsa_ossl.c 
In file included from dsa_ossl.c:62: 
../cryptlib.h:65: Internal error: Segmentation fault. 
Please submit a full bug report. 
See <URL: http://bugzilla.redhat.com/bugzilla/> for instructions. 
make[2]: *** [dsa_ossl.o] Error 1 
make[2]: Leaving directory `/usr/local/openssl-0.9.6b/crypto/dsa' 
make[1]: *** [subdirs] Error 1 
make[1]: Leaving directory `/usr/local/openssl-0.9.6b/crypto' 
make: *** [sub_all] Error 1 

Please help me for solving this problem .. 
It is very important for me to resolve it sooner.. 

Thanks in advance .. 
nisarg 

--- Joe Orton <[email-masked]> wrote:
>On Thu, Apr 18, 2002 at 06:06:07AM -0700, Nisarg Rav wrote:
>> Hello gurus ,
>> 
>> I'm facing one typical problem while configuring openssl-0.9.6b on 
>> RedHat linux 7.1 , kernel 2.4.2-2.
>
>Try upgrading your compiler:
>
>http://www.redhat.com/support/errata/RHBA-2001-082.html
>
>joe
>
>> ../cryptlib.h:65: Internal error: Segmentation fault.
>> Please submit a full bug report.
>> See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
>> make[2]: *** [a_octet.o] Error 1
>> make[2]: Leaving directory `/usr/local/openssl-0.9.6b/crypto/asn1'
>> make[1]: *** [subdirs] Error 1
>> make[1]: Leaving directory `/usr/local/openssl-0.9.6b/crypto'
>> make: *** [sub_all] Error 1
>
>______________________________________________________________________
>Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
>User Support Mailing List                      [email-masked]
>Automated List Manager                            [email-masked]

_____________________________________________________________
Want a new web-based email account ? ---> http://www.firstlinux.net

_____________________________________________________________
Run a small business? Then you need professional email like [email-masked] from Everyone.net  http://www.everyone.net?tag
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]